echo off
cls
rem  PCC.BAT  -- A batch file to manage the operation of the
rem              PC Census demonstration software.
rem              (Domestic Edition)
rem
rem
rem  First, set some environment parameters.
rem
rem     Depending on the memory configuration of the current machine,
rem     COMMAND.COM may need to be reloaded when the collection soft-
rem     ware terminates.  We take what steps we can to ensure that
rem     DOS can find COMMAND.COM if it needs it.
rem
if not .%comspec% == . goto :setup
   set COMSPEC=C:\COMMAND.COM
rem
:setup
if not exist COLLECTR.EXE goto :errdisk
rem
rem
rem  Now, off to the collection software!
rem
echo PC Census - Domestic Edition
echo (C) Copyright 1989-1992 Tally Systems Corp.  All Rights Reserved.
echo.
echo Loading Collection Software . . .
rem
collectr %1 %2 %3 %4 %5
goto :end
rem
rem
rem
:errdisk
echo.
echo Error!
echo.
echo This disk does not appear to be a PC Census Demo disk.
echo Please contact Tally Systems Technical Support at
echo (603) 643-8348 for assistance.
echo.
:end

